Table of Contents

Class: IReactorProcess | Twisted-0.17.4/twisted/internet/interfaces.py
--- | ---

Base Classes |
--- | ---
Interface

Methods |
--- | ---
spawnProcess
| spawnProcess

    spawnProcess (
            self,
            processProtocol,
            executable,
            args=(),
            env={},
            )

### Spawn a process, with a process protcol.

#### Arguments:

- processProtocol: a ProcessProtocol instance

- executable: the file name to spawn

- args: the command line arguments to pass to the process; a sequence of strings.

- env: the environment variables to pass to the processs; a dictionary of strings.

#### See also:

twisted.protocols.protocol.ProcessProtocol

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0